org.eclipse.graphiti.features.context.impl

## Class AreaContext

- java.lang.Object
- - org.eclipse.graphiti.PropertyBag
  - - org.eclipse.graphiti.internal.features.context.impl.base.DefaultContext
    - - org.eclipse.graphiti.features.context.impl.LocationContext
      - - org.eclipse.graphiti.features.context.impl.AreaContext

All Implemented Interfaces:
  IAreaContext, IContext, ILocationContext, IPropertyBag

Direct Known Subclasses:
  AddContext, AreaAnchorContext, CreateContext, ResizeContext

    public class AreaContext
    extends LocationContext
    implements IAreaContext

The Class AreaContext.

### Constructor Summary

Constructors
Constructor and Description
`AreaContext()` Creates a new `AreaContext`.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getHeight()` Gets the height.
`int` `getWidth()` Gets the width.
`void` `setHeight(int height)` Sets the height.
`void` `setSize(int width, int height)` Sets the size.
`void` `setWidth(int width)` Sets the width.
`String` `toString()`

### Methods inherited from class org.eclipse.graphiti.features.context.impl.LocationContext

`getX, getY, setLocation, setX, setY`

### Methods inherited from class org.eclipse.graphiti.PropertyBag

`getProperty, getPropertyKeys, putProperty`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.graphiti.features.context.ILocationContext

`getX, getY`

### Methods inherited from interface org.eclipse.graphiti.IPropertyBag

`getProperty, getPropertyKeys, putProperty`

### Constructor Detail

#### AreaContext

    public AreaContext()

Creates a new `AreaContext`.

### Method Detail

#### getHeight

    public int getHeight()

Description copied from interface: `IAreaContext`
Gets the height.

Specified by:
  `getHeight` in interface `IAreaContext`
Returns:
  the area's height

#### getWidth

    public int getWidth()

Description copied from interface: `IAreaContext`
Gets the width.

Specified by:
  `getWidth` in interface `IAreaContext`
Returns:
  the area's width

#### setHeight

    public void setHeight(int height)

Sets the height.

Parameters:
  `height` - The height to set.

#### setSize

    public void setSize(int width,
                        int height)

Sets the size.

Parameters:
  `width` - the width
  `height` - the height

#### setWidth

    public void setWidth(int width)

Sets the width.

Parameters:
  `width` - The width to set.

#### toString

    public String toString()

Overrides:
  `toString` in class `LocationContext`